classification
Title: bdist_msi and bdist_wininst are missing an uninstaller icon
Type: enhancement Stage: needs patch
Components: Distutils Versions: Python 3.5
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Retro, eric.araujo, lemburg, loewis, tarek
Priority: normal Keywords:

Created on 2008-12-01 09:05 by lemburg, last changed 2014-03-13 20:50 by eric.araujo.

Messages (8)
msg76680 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2008-12-01 09:05
Now that #4389 is fixed, it would be nice if the bdist_msi and
bdist_wininst created installers could use the same Python icon for
their uninstallers.

Note that both commands create installers that are prefixed with the
Python version, so there already is a tight binding between the Python
interpreter itself and the extensions installed using those installers.

Alternatively, perhaps we could add a way to set the icon via command
options.
msg76692 - (view) Author: Boštjan Mejak (Retro) Date: 2008-12-01 13:51
Marc-Andre, why haven't you selected the version 'Python 3.0' as well? I
think it's still time to fix this for the much-anticipated Python 3.0.
The final release is coming soon, but I think it's still time. Martin v.
Löwis, please fix this bug for Python 3.0 as well. Appreciate it. Thanks.
msg76693 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2008-12-01 13:54
On 2008-12-01 14:52, Retro wrote:
> Retro <vinetouu@gmail.com> added the comment:
> 
> Marc-Andre, why haven't you selected the version 'Python 3.0' as well? I
> think it's still time to fix this for the much-anticipated Python 3.0.
> The final release is coming soon, but I think it's still time. Martin v.
> Löwis, please fix this bug for Python 3.0 as well. Appreciate it. Thanks.

It's too late for new features in Python 3.0. Those will have to wait
until 3.1 gets released.
msg76694 - (view) Author: Boštjan Mejak (Retro) Date: 2008-12-01 13:56
Martin, I hope you have the time to fix this. I would very much
appreciate this fix.
msg76695 - (view) Author: Boštjan Mejak (Retro) Date: 2008-12-01 13:58
Oh, Python 3.0 is in feature freeze. I see. Too bad. Well, at least
we'll have those icons in the next release. When do you think that'll be
released? Talking about Python 3.1 of course.
msg76702 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-01 17:51
Retro: please don't add people to the nosy list. I don't plan to do
anything about this issue in the near future, except perhaps to review
patches that get contributed (and even that may take many months).
msg76706 - (view) Author: Boštjan Mejak (Retro) Date: 2008-12-01 20:08
So you are saying you won't create the icons for bdist_msi and
bdist_wininst even for future versions (2.7 and 3.1) of the Python
interpreter?
msg76712 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-12-01 22:59
> So you are saying you won't create the icons for bdist_msi and
> bdist_wininst even for future versions (2.7 and 3.1) of the Python
> interpreter?

Yes, exactly so. I'm -1 on using the Python icon for that by default,
I'm +0 on giving the package a choice of icons (i.e. I could live
with it if it is opt-in, but I won't spend time on writing patches in
this respect).
History
Date User Action Args
2014-03-13 20:50:13eric.araujosetassignee: tarek ->
components: + Distutils, - Windows, Distutils2
versions: + Python 3.5, - 3rd party
2010-10-19 17:31:11eric.araujosetnosy: lemburg, loewis, tarek, eric.araujo, Retro
components: + Windows
2010-10-19 17:30:57eric.araujosetnosy: lemburg, loewis, tarek, eric.araujo, Retro
components: + Distutils2, - Distutils, Windows
versions: + 3rd party, - Python 3.2
2010-10-19 17:30:41eric.araujosetnosy: + eric.araujo

stage: needs patch
2010-08-09 03:23:24terry.reedysetversions: + Python 3.2, - Python 3.1, Python 2.7
2009-03-01 23:41:00akitadasetnosy: + tarek
components: + Windows
assignee: tarek
2008-12-01 22:59:12loewissetmessages: + msg76712
2008-12-01 20:08:52Retrosetmessages: + msg76706
versions: - Python 3.0
2008-12-01 17:51:06loewissetmessages: + msg76702
2008-12-01 13:58:43Retrosetmessages: + msg76695
2008-12-01 13:56:27Retrosetmessages: + msg76694
2008-12-01 13:54:00lemburgsetmessages: + msg76693
2008-12-01 13:53:08Retrosetnosy: + loewis
2008-12-01 13:52:13Retrosetversions: + Python 3.0
2008-12-01 13:51:58Retrosetnosy: + Retro
messages: + msg76692
2008-12-01 09:06:00lemburgsettype: enhancement
2008-12-01 09:05:42lemburgcreate